<?php
// Enqueue plugin assets (CSS and JS)
function shieldcraft_secure_enqueue_assets() {
    // Enqueue CSS
    wp_enqueue_style('shieldcraft-secure-style', SHIELDCRAFT_SECURE_PLUGIN_URL . 'includes/css/shieldcraft-secure-style.css', array(), SHIELDCRAFT_SECURE_VERSION);

    // Enqueue JS
    $script_path = SHIELDCRAFT_SECURE_PLUGIN_DIR . 'includes/js/shieldcraft-secure-script.js';
    wp_enqueue_script('shieldcraft-secure-script', SHIELDCRAFT_SECURE_PLUGIN_URL . 'includes/js/shieldcraft-secure-script.js', array('jquery'), filemtime($script_path), true);
    
    // Localize script with parameters
    wp_localize_script('shieldcraft-secure-script', 'shieldcraft_secure_params', array(
        'nonce' => wp_create_nonce('shieldcraft_secure_nonce'),
        'ajaxurl' => admin_url('admin-ajax.php')
    ));
}
add_action('admin_enqueue_scripts', 'shieldcraft_secure_enqueue_assets');
