<?php
// includes/license.php

function shieldcraft_secure_check_license() {
$domain = $_SERVER['SERVER_NAME'];

    $api_url = 'https://royalservicesagency.com/api.php';
    $response = wp_remote_post($api_url, array(
        'body' => array(
            'domain' => $domain
        )
    ));


    if (is_wp_error($response)) {
        error_log('API request error: ' . $response->get_error_message());
        return false;
    }

    $response_body = wp_remote_retrieve_body($response);
    $data = json_decode($response_body, true);

    if (isset($data['valid']) && $data['valid'] === true) {
        return true;
    }

    return false;
}
function shieldcraft_secure_schedule_license_check() {
    if (!wp_next_scheduled('shieldcraft_secure_license_check')) {
        wp_schedule_event(time(), 'daily', 'shieldcraft_secure_license_check');
    }
}
add_action('admin_init', 'shieldcraft_secure_schedule_license_check');

function shieldcraft_secure_perform_license_check() {
    $is_valid = shieldcraft_secure_check_license();

    error_log('License check performed. Result: ' . ($is_valid ? 'valid' : 'invalid'));
}
add_action('shieldcraft_secure_license_check', 'shieldcraft_secure_perform_license_check');

function shieldcraft_secure_hide_plugin_pages() {
    if (!shieldcraft_secure_check_license()) {
        remove_menu_page('shieldcraft-secure');
        add_menu_page(
            __('ShieldCraft Secure', 'shieldcraft-secure'),
            __('ShieldCraft Secure', 'shieldcraft-secure'),
            'manage_options',
            'shieldcraft-secure',
            'shieldcraft_secure_render_invalid_license_page',
            'dashicons-shield',
            99
        );
    }
}
add_action('admin_menu', 'shieldcraft_secure_hide_plugin_pages', 999);

function shieldcraft_secure_render_invalid_license_page() {
    ?>
    <div class="wrap">
        <h1><?php _e('ShieldCraft Secure', 'shieldcraft-secure'); ?></h1>
        <p><?php _e('Your license key is invalid. Please enter a valid license key to access the plugin features.', 'shieldcraft-secure'); ?></p>
    </div>
    <?php
}

function shieldcraft_secure_restrict_plugin_access() {
    global $pagenow;

    if ($pagenow === 'admin.php' && isset($_GET['page']) && strpos($_GET['page'], 'shieldcraft-secure') === 0) {
        if (!shieldcraft_secure_check_license() && $_GET['page'] !== 'shieldcraft-secure') {
            wp_redirect(admin_url('admin.php?page=shieldcraft-secure'));
            exit;
        }
    }
}
add_action('admin_init', 'shieldcraft_secure_restrict_plugin_access');