<?php
// includes/pages/attacks-page.php

function shieldcraft_secure_render_attacks_page() {
    ?>
    <div class="wrap shieldcraft-secure-wrap">
        <div class="shieldcraft-secure-header">
            <h1><?php _e('Attacks', 'shieldcraft-secure'); ?></h1>
        </div>

        <?php if (!shieldcraft_secure_is_paid_version()): ?>
            <div class="notice notice-info shieldcraft-secure-upgrade-message">
                <p><?php _e('Upgrade to the full version to access all attack protection features including Firewall, Brute Force Protection, Live Traffic Monitoring, SQL Injection Protection, XSS Protection, and Remote File Inclusion Protection.', 'shieldcraft-secure'); ?></p>
                <p><a href="https://royalservicesagency.com/secure-upgrade" class="button button-primary" target="_blank"><?php _e('Upgrade Now', 'shieldcraft-secure'); ?></a></p>
            </div>
        <?php endif; ?>

        <div id="firewall" class="shieldcraft-secure-card">
            <div class="shieldcraft-secure-card-header">
                <h2><?php _e('Firewall', 'shieldcraft-secure'); ?></h2>
                <span class="shieldcraft-secure-card-toggle"></span>
            </div>
            <div class="shieldcraft-secure-card-content">
                <?php
                if (shieldcraft_secure_is_paid_version()) {
                    // Firewall settings form (keep the existing form here)
                } else {
                    _e('This feature is available in the paid version.', 'shieldcraft-secure');
                }
                ?>
            </div>
        </div>

        <div id="brute-force" class="shieldcraft-secure-card">
            <div class="shieldcraft-secure-card-header">
                <h2><?php _e('Brute Force Protection', 'shieldcraft-secure'); ?></h2>
                <span class="shieldcraft-secure-card-toggle"></span>
            </div>
            <div class="shieldcraft-secure-card-content">
                <?php
                if (shieldcraft_secure_is_paid_version()) {
                    // Brute force protection settings form (keep the existing form here)
                } else {
                    _e('This feature is available in the paid version.', 'shieldcraft-secure');
                }
                ?>
            </div>
        </div>

        <div id="live-traffic" class="shieldcraft-secure-card">
            <div class="shieldcraft-secure-card-header">
                <h2><?php _e('Live Traffic Monitoring', 'shieldcraft-secure'); ?></h2>
                <span class="shieldcraft-secure-card-toggle"></span>
            </div>
            <div class="shieldcraft-secure-card-content">
                <?php
                if (shieldcraft_secure_is_paid_version()) {
                    // Live traffic monitoring settings and display (keep the existing content here)
                } else {
                    _e('This feature is available in the paid version.', 'shieldcraft-secure');
                }
                ?>
            </div>
        </div>

        <div class="shieldcraft-secure-card">
            <div class="shieldcraft-secure-card-header">
                <h2><?php _e('SQL Injection Protection', 'shieldcraft-secure'); ?></h2>
                <span class="shieldcraft-secure-card-toggle"></span>
            </div>
            <div class="shieldcraft-secure-card-content">
                <?php
                if (shieldcraft_secure_is_paid_version()) {
                    // SQL injection protection settings form (keep the existing form here)
                } else {
                    _e('This feature is available in the paid version.', 'shieldcraft-secure');
                }
                ?>
            </div>
        </div>

        <div class="shieldcraft-secure-card">
            <div class="shieldcraft-secure-card-header">
                <h2><?php _e('XSS Protection', 'shieldcraft-secure'); ?></h2>
                <span class="shieldcraft-secure-card-toggle"></span>
            </div>
            <div class="shieldcraft-secure-card-content">
                <?php
                if (shieldcraft_secure_is_paid_version()) {
                    // XSS protection settings form (keep the existing form here)
                } else {
                    _e('This feature is available in the paid version.', 'shieldcraft-secure');
                }
                ?>
            </div>
        </div>

        <div class="shieldcraft-secure-card">
            <div class="shieldcraft-secure-card-header">
                <h2><?php _e('Remote File Inclusion Protection', 'shieldcraft-secure'); ?></h2>
                <span class="shieldcraft-secure-card-toggle"></span>
            </div>
            <div class="shieldcraft-secure-card-content">
                <?php
                if (shieldcraft_secure_is_paid_version()) {
                    // RFI protection settings form (keep the existing form here)
                } else {
                    _e('This feature is available in the paid version.', 'shieldcraft-secure');
                }
                ?>
            </div>
        </div>

        <div class="shieldcraft-secure-card">
            <div class="shieldcraft-secure-card-header">
                <h2><?php _e('Firewall Log', 'shieldcraft-secure'); ?></h2>
                <span class="shieldcraft-secure-card-toggle"></span>
            </div>
            <div class="shieldcraft-secure-card-content">
                <?php
                if (shieldcraft_secure_is_paid_version()) {
                    // Firewall log display (keep the existing content here)
                } else {
                    _e('This feature is available in the paid version.', 'shieldcraft-secure');
                }
                ?>
            </div>
        </div>
    </div>
    <?php
}