<?php
function shieldcraft_secure_render_dashboard_page() {
    ?>
    <div class="wrap shieldcraft-secure-wrap">
        <div class="shieldcraft-secure-header">
            <h1><?php _e('ShieldCraft Secure Dashboard', 'shieldcraft-secure'); ?></h1>
        </div>

        <div class="shieldcraft-secure-dashboard-row">
            <div class="shieldcraft-secure-dashboard-card">
                <h2><?php _e('Vulnerability Scanning', 'shieldcraft-secure'); ?></h2>
                <p>
                    <?php 
                    $vuln_scanning_enabled = get_option('shieldcraft_secure_vuln_scanning_enabled', false);
                    $status_class = $vuln_scanning_enabled ? 'green' : 'red';
                    ?>
                    <span class="status-icon <?php echo $status_class; ?>"></span>
                    <?php echo $vuln_scanning_enabled ? __('Vulnerability scanning is active.', 'shieldcraft-secure') : __('Vulnerability scanning is inactive.', 'shieldcraft-secure'); ?>
                </p>
                <a href="<?php echo admin_url('admin.php?page=shieldcraft-secure-vulnerability-checks'); ?>" class="shieldcraft-secure-button"><?php _e('Manage Vulnerability Scanning', 'shieldcraft-secure'); ?></a>
            </div>

            <div class="shieldcraft-secure-dashboard-card">
                <h2><?php _e('Two-Factor Authentication', 'shieldcraft-secure'); ?></h2>
                <p>
                    <?php 
                    $twofa_enabled = get_option('shieldcraft_secure_2fa_enabled', false);
                    $status_class = $twofa_enabled ? 'green' : 'red';
                    ?>
                    <span class="status-icon <?php echo $status_class; ?>"></span>
                    <?php echo $twofa_enabled ? __('2FA is enabled for admin accounts.', 'shieldcraft-secure') : __('2FA is not enabled.', 'shieldcraft-secure'); ?>
                </p>
                <a href="<?php echo admin_url('admin.php?page=shieldcraft-secure-2fa'); ?>" class="shieldcraft-secure-button"><?php _e('Manage 2FA', 'shieldcraft-secure'); ?></a>
            </div>

            <div class="shieldcraft-secure-dashboard-card">
                <h2><?php _e('Firewall', 'shieldcraft-secure'); ?></h2>
                <p>
                    <span class="status-icon red"></span>
                    <?php _e('Firewall is a premium feature.', 'shieldcraft-secure'); ?>
                </p>
                <a href="#" class="shieldcraft-secure-button" onclick="shieldcraftSecureShowPurchaseMessage()"><?php _e('Upgrade to Enable', 'shieldcraft-secure'); ?></a>
            </div>
        </div>

        <div class="shieldcraft-secure-dashboard-row">
            <div class="shieldcraft-secure-dashboard-card">
                <h2><?php _e('Malware Scanner', 'shieldcraft-secure'); ?></h2>
                <p>
                    <span class="status-icon red"></span>
                    <?php _e('Malware Scanner is a premium feature.', 'shieldcraft-secure'); ?>
                </p>
                <a href="#" class="shieldcraft-secure-button" onclick="shieldcraftSecureShowPurchaseMessage()"><?php _e('Upgrade to Enable', 'shieldcraft-secure'); ?></a>
            </div>

            <div class="shieldcraft-secure-dashboard-card">
                <h2><?php _e('Live Traffic Monitoring', 'shieldcraft-secure'); ?></h2>
                <p>
                    <span class="status-icon red"></span>
                    <?php _e('Live Traffic Monitoring is a premium feature.', 'shieldcraft-secure'); ?>
                </p>
                <a href="#" class="shieldcraft-secure-button" onclick="shieldcraftSecureShowPurchaseMessage()"><?php _e('Upgrade to Enable', 'shieldcraft-secure'); ?></a>
            </div>

            <div class="shieldcraft-secure-dashboard-card">
                <h2><?php _e('Brute Force Protection', 'shieldcraft-secure'); ?></h2>
                <p>
                    <span class="status-icon red"></span>
                    <?php _e('Brute Force Protection is a premium feature.', 'shieldcraft-secure'); ?>
                </p>
                <a href="#" class="shieldcraft-secure-button" onclick="shieldcraftSecureShowPurchaseMessage()"><?php _e('Upgrade to Enable', 'shieldcraft-secure'); ?></a>
            </div>
        </div>
    </div>

    <script>
    function shieldcraftSecureShowPurchaseMessage() {
        alert('<?php echo esc_js(__('This feature is only available in the paid version of ShieldCraft Secure. Please visit https://royalservicesagency.com/secure-upgrade to upgrade and access all premium features!', 'shieldcraft-secure')); ?>');
    }
    </script>
    <?php
}