<?php
// Render the malware scanner page
function shieldcraft_secure_render_malware_scanner_page() {
    ?>
    <div class="wrap shieldcraft-secure-wrap">
        <div class="shieldcraft-secure-title"><h2><?php _e('Malware Scanner', 'shieldcraft-secure'); ?></h2></div>
        <?php if (!shieldcraft_secure_is_paid_version()): ?>
            <div class="notice notice-info shieldcraft-secure-upgrade-message">
                <p><?php _e('The Malware Scanner is a premium feature. Upgrade to the full version to scan your website for malware and protect your site from potential threats.', 'shieldcraft-secure'); ?></p>
                <p><a href="https://royalservicesagency.com/secure-upgrade" class="button button-primary" target="_blank"><?php _e('Upgrade Now', 'shieldcraft-secure'); ?></a></p>
            </div>
        <?php else: ?>
            <div id="shieldcraft-secure-scanner-container">
                <div id="shieldcraft-secure-scanning-animation"></div>
                <div id="shieldcraft-secure-scan-current-file"></div>
                <div id="shieldcraft-secure-scan-status"></div>
                <button id="shieldcraft-secure-scan-now" class="button button-primary"><?php _e('Scan Now', 'shieldcraft-secure'); ?></button>

                <div id="shieldcraft-secure-infected-files-container">
                    <div class="shieldcraft-secure-title"><h2><?php _e('Infected Files', 'shieldcraft-secure'); ?></h2></div>
                    <table id="shieldcraft-secure-infected-files-table">
                        <thead>
                            <tr>
                                <th><?php _e('File Name', 'shieldcraft-secure'); ?></th>
                                <th><?php _e('Location', 'shieldcraft-secure'); ?></th>
                                <th><?php _e('Status', 'shieldcraft-secure'); ?></th>
                                <th><?php _e('Issue Found', 'shieldcraft-secure'); ?></th>
                                <th><?php _e('Suspicious Pattern', 'shieldcraft-secure'); ?></th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        <?php endif; ?>
    </div>
    <?php
}

// Ajax handler for malware scan
function shieldcraft_secure_malware_scan_ajax() {
    check_ajax_referer('shieldcraft_secure_nonce', 'nonce');

    if (!shieldcraft_secure_is_paid_version()) {
        wp_send_json_error(array('message' => __('This feature is only available in the paid version.', 'shieldcraft-secure')));
    } else {
        $scan_results = shieldcraft_secure_perform_malware_scan();
        wp_send_json_success($scan_results);
    }
    wp_die();
}
add_action('wp_ajax_shieldcraft_secure_malware_scan', 'shieldcraft_secure_malware_scan_ajax');
